#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: turtle
version: 1.5.15
id: turtle-1.5.15-21Eqdil45ybBlT8aoN7zt4
key: turtle-1.5.15-21Eqdil45ybBlT8aoN7zt4
license: BSD-3-Clause
copyright: 2015 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Shell programming, Haskell-style
description:
    @turtle@ is a reimplementation of the Unix command line environment
    in Haskell so that you can use Haskell as both a shell and a scripting
    language.
    .
    Features include:
    .
    * Batteries included: Command an extended suite of predefined utilities
    .
    * Interoperability: You can still run external shell commands
    .
    * Portability: Works on Windows, OS X, and Linux
    .
    * Exception safety: Safely acquire and release resources
    .
    * Streaming: Transform or fold command output in constant space
    .
    * Patterns: Use typed regular expressions that can parse structured values
    .
    * Formatting: Type-safe @printf@-style text formatting
    .
    * Modern: Supports @text@ and @system-filepath@
    .
    Read "Turtle.Tutorial" for a detailed tutorial or "Turtle.Prelude" for a
    quick-start guide
    .
    @turtle@ is designed to be beginner-friendly, but as a result lacks certain
    features, like tracing commands.  If you feel comfortable using @turtle@
    then you should also check out the @Shelly@ library which provides similar
    functionality.
category: System
abi: 0a60e0c4a02b84de2b6d1f1dd0298d8e
exposed: True
exposed-modules:
    Turtle Turtle.Bytes Turtle.Format Turtle.Line Turtle.Options
    Turtle.Pattern Turtle.Prelude Turtle.Shell Turtle.Tutorial
hidden-modules: Turtle.Internal
import-dirs: /usr/lib/ghc-8.6.5/site-local/turtle-1.5.15
library-dirs: /usr/lib/ghc-8.6.5/site-local/turtle-1.5.15
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.5/turtle-1.5.15
hs-libraries: HSturtle-1.5.15-21Eqdil45ybBlT8aoN7zt4
depends:
    ansi-wl-pprint-0.6.9-FB0s33jagFpHaQREf1SiCD
    async-2.2.2-5KbUJa8fnnu9oaTmXcEjsG base-4.12.0.0
    bytestring-0.10.8.2 clock-0.8-H1S1zDefxirImaRbI6ITNv
    containers-0.6.0.1 directory-1.3.3.0
    exceptions-0.10.4-CwezmQgBhdIDUfFuEFW5Ru
    foldl-1.4.5-cKH4hSQaDoIbtP1KaNhzt
    hostname-1.0-96RwzZJKf0mHYnt0kjXkqR
    managed-1.0.6-6le630bw4rn2FNayf9Wk9z
    optional-args-1.0.2-1m715yvjsnq8LooJByzcqK
    optparse-applicative-0.15.1.0-xwp89XVVul6gKB5qtY9qR process-1.6.5.0
    stm-2.5.0.0 streaming-commons-0.2.1.1-3FU3acGHUP158ft1TPilsC
    system-fileio-0.3.16.4-1t6HhupLj9lFCjOOwPZNJU
    system-filepath-0.4.14-5H46d9G5hXtHLgdMFBvraC
    temporary-1.3-8fZw4VgKgm89dPHEXVVgoo text-1.2.3.1 time-1.8.0.2
    transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-GYmNPGqdGR3DF85i5Y9m4X
haddock-interfaces: /usr/share/doc/haskell-turtle/html/turtle.haddock
haddock-html: /usr/share/doc/haskell-turtle/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

